Last Comment Bug 605427 - Implement FpReg move on icc or fcc for asm_cmov()
: Implement FpReg move on icc or fcc for asm_cmov()
Status: RESOLVED FIXED
fixed-in-nanojit, fixed-in-tamarin
:
Product: Core Graveyard
Classification: Graveyard
Component: Nanojit (show other bugs)
: Trunk
: Sun OpenSolaris
: -- normal (vote)
: ---
Assigned To: Ginn Chen
:
:
Mentors:
Depends on:
Blocks: 607452
  Show dependency treegraph
 
Reported: 2010-10-19 04:06 PDT by Ginn Chen
Modified: 2014-03-17 08:00 PDT (History)
4 users (show)
dansmith: flashplayer‑qrb+
dansmith: flashplayer‑bug-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (11.16 KB, patch)
2010-10-22 03:47 PDT, Ginn Chen
wmaddox: review+
Details | Diff | Splinter Review

Description Ginn Chen 2010-10-19 04:06:01 PDT

    
Comment 1 Ginn Chen 2010-10-22 03:47:41 PDT
Created attachment 485260 [details] [diff] [review]
patch
Comment 2 William Maddox 2010-10-28 13:37:42 PDT
R+

nits:

    inline void Assembler::FMOVDcc
        (Register rs, int32_t opt_cc, Register rd, int32_t cond, const char *opcode) {

- Don't break the line before the argument list -- it's not excessively long by the standards of the rest of the file.

- Our preferred convention, per discussion some months ago, is that the * should associate with the type, not the variable, e.g., char* rather than char *.  The code elsewhere in this file isn't consistent, however, so if you're just going with the immediate neighborhood, that's ok.
Comment 3 Ginn Chen 2010-10-28 14:11:10 PDT
http://hg.mozilla.org/projects/nanojit-central/rev/ce344dfb7fcb

Fixed the line break.
Leave the "char *opcode" for future fixes.
Comment 5 Dan Smith 2011-09-09 21:38:02 PDT
Can this be closed?  Waiting to land in TM?
Comment 6 Ginn Chen 2011-09-11 04:19:30 PDT
this one is already landed on MC.

http://hg.mozilla.org/mozilla-central/rev/16c78e2e5c30

Note You need to log in before you can comment on or make changes to this bug.